Package org.apache.nutch.crawl

# Class Generator.SelectorReducer

java.lang.Object
org.apache.hadoop.mapreduce.Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>
org.apache.nutch.crawl.Generator.SelectorReducer

Enclosing class:
  Generator

public static class Generator.SelectorReducer extends Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>
Collect until limit is reached.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

  `Reducer.Context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectorReducer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanup(Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>.Context context)`
  `void`
  `readHostDb()`
  `void`
  `reduce(FloatWritable key, Iterable<Generator.SelectorEntry> values, Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>.Context context)`
  `void`
  `setup(Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>.Context context)`

  ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

  `run`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SelectorReducer

    public SelectorReducer()

- ## Method Details

  - ### readHostDb

    public void readHostDb() throws IOException
    Throws:
      `IOException`

  - ### setup

    public void setup(Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>.Context context) throws IOException
    Overrides:
      `setup` in class `Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>`
    Throws:
      `IOException`

  - ### cleanup

    public void cleanup(Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>.Context context) throws IOException, InterruptedException
    Overrides:
      `cleanup` in class `Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>`
    Throws:
      `IOException`
      `InterruptedException`

  - ### reduce

    public void reduce(FloatWritable key, Iterable<Generator.SelectorEntry> values, Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>.Context context) throws IOException, InterruptedException
    Overrides:
      `reduce` in class `Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>`
    Throws:
      `IOException`
      `InterruptedException`